summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordeva <deva>2008-07-20 17:32:21 +0000
committerdeva <deva>2008-07-20 17:32:21 +0000
commitb75861438e891abb17a78418401d8f89609d5ba4 (patch)
treefb979219e9ac3a1de3c8d2b72968190e5c27fb66
Initial revision
-rw-r--r--Makefile.am3
-rwxr-xr-xautogen.sh71
-rw-r--r--configure.in46
-rw-r--r--src/Makefile.am10
-rw-r--r--src/drumgizmo.cc33
-rwxr-xr-xtools/add_file63
6 files changed, 226 insertions, 0 deletions
diff --git a/Makefile.am b/Makefile.am
new file mode 100644
index 0000000..54f5468
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,3 @@
+AUTOMAKE_OPTIONS = gnu
+SUBDIRS = src
+DISTDIRS = src
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..45ef969
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,71 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+# This was lifted from the Gimp, and adapted slightly by
+# Raph Levien, slightly hacked for xine by Daniel Caujolle-Bert.
+
+DIE=0
+
+PROG=anoid
+
+# Check how echo works in this /bin/sh
+case `echo -n` in
+-n) _echo_n= _echo_c='\c';;
+*) _echo_n=-n _echo_c=;;
+esac
+
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $PROG."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile $PROG."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.4.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile $PROG."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+(aclocal --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: Missing aclocal. The version of automake"
+ echo "installed doesn't appear recent enough."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+if [ "$DIE" -eq 1 ]; then
+ exit 1
+fi
+
+aclocalinclude="$ACLOCAL_FLAGS"; \
+(echo $_echo_n " + Running aclocal: $_echo_c"; \
+ aclocal $aclocalinclude; \
+ echo "done.") && \
+(echo $_echo_n " + Running libtoolize: $_echo_c"; \
+ libtoolize --force --copy >/dev/null 2>&1; \
+ echo "done.") && \
+(echo $_echo_n " + Running autoheader: $_echo_c"; \
+ autoheader; \
+ echo "done.") && \
+(echo $_echo_n " + Running automake: $_echo_c"; \
+ automake --gnu --add-missing --copy; \
+ echo "done.") && \
+(echo $_echo_n " + Running autoconf: $_echo_c"; \
+ autoconf; \
+ echo "done.")
+
+rm -f config.cache
diff --git a/configure.in b/configure.in
new file mode 100644
index 0000000..c1963f1
--- /dev/null
+++ b/configure.in
@@ -0,0 +1,46 @@
+# Filename: configure.in
+
+AC_INIT(src/drumgizmo.cc)
+AM_INIT_AUTOMAKE( drumgizmo, 0.0.1 )
+
+AC_PROG_CXX
+
+AC_PROG_LIBTOOL
+AM_PROG_LIBTOOL
+
+AM_CONFIG_HEADER(config.h)
+AC_STDC_HEADERS
+
+AC_ARG_WITH(debug, [ --with-debug build with debug support])
+if test x$with_debug == xyes; then
+ AC_MSG_WARN([*** Building with debug support!])
+ CXXFLAGS="$CXXFLAGS -Wall -Werror -g"
+fi
+
+#dnl ======================
+#dnl Check for Qt
+#dnl ======================
+#PKG_CHECK_MODULES(QTCORE, QtCore >= 4.3)
+#PKG_CHECK_MODULES(QTGUI, QtGui >= 4.3)
+#MOC=`pkg-config QtCore --variable=moc_location`
+#AC_SUBST(MOC)
+
+dnl ======================
+dnl Check for jack
+dnl ======================
+PKG_CHECK_MODULES(JACK, jack >= 0.109.2)
+
+dnl ======================
+dnl Check for getopt
+dnl ======================
+AC_HAVE_HEADERS(getopt.h)
+
+AC_SUBST(CFLAGS)
+AC_SUBST(CPPFLAGS)
+AC_SUBST(CXXFLAGS)
+AC_SUBST(LDFLAGS)
+
+AC_OUTPUT(
+ Makefile
+ src/Makefile)
+
diff --git a/src/Makefile.am b/src/Makefile.am
new file mode 100644
index 0000000..1c7ff1e
--- /dev/null
+++ b/src/Makefile.am
@@ -0,0 +1,10 @@
+bin_PROGRAMS = drumgizmo
+
+drumgizmo_LDADD =
+
+drumgizmo_CXXFLAGS =
+
+drumgizmo_SOURCES = \
+ drumgizmo.cc
+
+EXTRA_DIST =
diff --git a/src/drumgizmo.cc b/src/drumgizmo.cc
new file mode 100644
index 0000000..732d05e
--- /dev/null
+++ b/src/drumgizmo.cc
@@ -0,0 +1,33 @@
+/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
+/***************************************************************************
+ * drumgizmo.cc
+ *
+ * Sun Jul 20 19:25:01 CEST 2008
+ * Copyright 2008 Bent Bisballe Nyeng
+ * deva@aasimon.org
+ ****************************************************************************/
+
+/*
+ * This file is part of DrumGizmo.
+ *
+ * DrumGizmo is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * DrumGizmo is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with DrumGizmo; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+ */
+
+int main(int argc, char *argv[])
+{
+
+ return 0;
+}
+
diff --git a/tools/add_file b/tools/add_file
new file mode 100755
index 0000000..10f2174
--- /dev/null
+++ b/tools/add_file
@@ -0,0 +1,63 @@
+#!/bin/bash
+PROJECT="DrumGizmo"
+
+function allfile() {
+ echo "/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */" > $1;
+ echo "/***************************************************************************" >> $1;
+ echo " * $1" >> $1;
+ echo " *" >> $1 ;
+ echo " * `date`" >> $1;
+ echo -n " * Copyright " >> $1
+ echo -n `date +%Y | xargs` >> $1
+ echo " Bent Bisballe Nyeng" >> $1;
+ echo " * deva@aasimon.org" >> $1;
+ echo " ****************************************************************************/" >> $1;
+ echo "" >> $1;
+ echo "/*" >> $1;
+ echo " * This file is part of $PROJECT." >> $1;
+ echo " *" >> $1;
+ echo " * $PROJECT is free software; you can redistribute it and/or modify" >> $1;
+ echo " * it under the terms of the GNU General Public License as published by" >> $1;
+ echo " * the Free Software Foundation; either version 2 of the License, or" >> $1;
+ echo " * (at your option) any later version." >> $1;
+ echo " *" >> $1;
+ echo " * $PROJECT is distributed in the hope that it will be useful," >> $1;
+ echo " * but WITHOUT ANY WARRANTY; without even the implied warranty of" >> $1;
+ echo " * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the" >> $1;
+ echo " * GNU General Public License for more details." >> $1;
+ echo " *" >> $1;
+ echo " * You should have received a copy of the GNU General Public License" >> $1;
+ echo " * along with $PROJECT; if not, write to the Free Software" >> $1;
+ echo " * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA." >> $1;
+ echo " */" >> $1;
+}
+
+function ccfile() {
+ local hf=`echo -n $1 | cut -d'.' -f1`.h;
+ hfile $hf;
+
+ allfile $1;
+ echo -n '#include "' >> $1;
+ echo -n $hf >> $1;
+ echo '"' >> $1;
+ echo '' >> $1;
+}
+
+function hfile() {
+ allfile $1;
+ local hn=`echo $1 | tr 'a-z.' 'A-Z_'`
+ local pr=`echo $PROJECT | tr 'a-z.' 'A-Z_'`
+ echo "#ifndef __${pr}_${hn}__" >> $1;
+ echo "#define __${pr}_${hn}__" >> $1;
+ echo "#endif/*__${pr}_${hn}__" >> $1;
+}
+
+if [ "$#" = "1" ]; then
+if [ "CC" = `echo $1 | cut -d'.' -f2 | tr 'a-z' 'A-Z'` ]; then
+ ccfile $1;
+fi;
+if [ "H" = `echo $1 | cut -d'.' -f2 | tr 'a-z' 'A-Z'` ]; then
+ hfile $1;
+fi;
+else echo "Usage: $0 filename";
+fi;